calibre: e-book management

KoboTouch Device View titles / In Library not always accurate

Reported by PeterT on 2012-10-22
18
This bug affects 3 people
Affects Status Importance Assigned to Milestone
calibre
Undecided
David Forrester

Bug Description

Calibe 0.9.3

Using calibre and a Kobo Touch I find that the On Device listing "fluctuates" for lack of a batter term in showing book, their titles and what shelves they are on.

Calibre is configured by me as follows:

Sending books to device:
- Automatic Metadata management
- Save Template: {author_sort}/{title} - {authors}

Metadata plugboard:
- Format: ePub
- Device: KoboTouch
- Source Template: {series:re(([^\s])[^\s]+(\s|$),\1)}{series_index:0>2s| - | - }{title}
- Destination: Title

Kobo Touch Driver:
- Read metadata from files on device
- Use sub directories
- Save Template: {author_sort}/{title} - {authors}
- Shelf Names: #myshelves, series
- Create Bookshelves
- Delete Empty Bookshelves
- Attempt to support newer firmware

I start with only the Kobo supplied user guides and some preview materinal on the Kobo. No Driveinfo or Metadata.

- Launch Calibre
- Attach Touch
- 3 jobs run; Get device information, Get list of books on device, Send metadata to device
- Device view shows no books on device
- *.calibre.1
- Touch ejected

- Kobo reattached
- 3 jobs run; Get device information, Get list of books on device, Send metadata to device
- Device view shows no books on device
- 2 book sent to Kobo;
 - Title: Unatural Causes; Series: Inspector Adam Dalgliesh; Author: Baroness P. D. James; Series Index: 3.0
  Title Sort: Unnatural Causes; Author Sort: James, Baroness P. D.
 - Title: The Road to Gandolfo; Series: Road To; Author Robert Ludlum; Series Index: 1.0
  Title Sort: Road to Gandolfo, The; Author Sort: Ludlum, Robert
- 2 jobs rub; Upload 2 books to device, Send metadata to device
- Device view shows 2 books on device; both with a green tick, with titles "The Road to Gandolfo" and "Unatural Causes" and shelves "Road To" and "Inspector Adam Dalgliesh"
- On device directory listing shows
 Directory of P:\James, Baroness P. D_

22/10/2012 12:20 AM <DIR> .
22/10/2012 12:20 AM <DIR> ..
22/10/2012 12:20 AM 1,877,055 Unnatural Causes - Baroness P. D. James.epub
               1 File(s) 1,877,055 bytes

 Directory of P:\Ludlum, Robert

22/10/2012 12:20 AM <DIR> .
22/10/2012 12:20 AM <DIR> ..
22/10/2012 12:20 AM 367,302 Road to Gandolfo, The - Robert Ludlum.epub
               1 File(s) 367,302 bytes
- *.calibre.2
- Kobo ejected
- Books and shelves correct on device

- Touch reattached
- 3 jobs run; Get device information, Get list of books on device, Send metadata to device
- Device view now shows 2 books on device; only 1 green tick. Titles are "Rt - 01 - The Road to Gandolfo" and "IAD - 03 - Unnatural Causes"
- Shelves are correct
- The check is besides "IAD - 03 - Unnatural Causes"
- *.calibre.3
- Kobo Ejected
- Books and shelves correct on device

- Touch reattached
- 3 jobs run; Get device information, Get list of books on device, Send metadata to device
- Device view now shows 2 books on device; only 1 green tick. Titles are "Road to Gandolfo, The" and "Unnatural Causes"
- Shelves are correct
- The check is besides "Unnatural Causes"
- *.calibre.4
- Kobo Ejected
- Books and shelves correct on device

- Touch reattached
- 3 jobs run; Get device information, Get list of books on device, Send metadata to device
- Device view same as previous run
- New book sent to device
- Title: Sunshine Sketches Of A Little Town; Author: Stephen Leacock; no series
  Title Sort: Sunshine Sketches Of A Little Town; Author Sort: Leacock, Stephen
- 2 jobs rub; Upload 1 books to device, Send metadata to device
- Device info shows 3 books; two in library; one not
- *.calibre.5
- Kobo ejected
- Books and shelves correct on device

- Touch reattached
- No change in device information from previous run
- Additional books from the two series sent
 - Daglish books 1, 2
 - Road To book 2
- Device info shows new books in series correctly
 - The Road to Omaha, Road To, 2
 - A Mind to Murder, Inspector Adam Dalgliesh, 2
 - Cover Her Face, Inspector Adam Dalgliesh, 1
- *.calibre.6
- Kobo ejected
- Books and shelves correct on device

- Touch reattached
- Device view shows
 - A Mind to Murder; in Library
 - Rt - 02 - The Road to Omaha; not in library
 - IAD - 01 - Cover Her Face; in library
 - Sunshine Sketches of a Little Town; in library
 - Road to Gandolfo, The; not in library
 - Unnatural Causes; in library
- *.calibre.7
- Kobo ejected

- Touch reattached
- Device view shows
 - Mind to Murder, A; in Library
 - Road to Omaha, The; not in library
 - Cover Her Face; in library
 - Sunshine Sketches of a Little Town; in library
 - Road to Gandolfo, The; not in library
 - Unnatural Causes; in library
- *.calibre.8
- Kobo ejected

Related branches

Changing the component for this bug.

 assignee davidfor
 tag kobo-driver
 status triaged

Changed in calibre:
assignee: nobody → David Forrester (davidfor)
status: New → Triaged
David Forrester (davidfor) wrote :

The immediate thing I can see is that the books that aren't being shown as in the library, have the "application_id" as null in the metadata.calibre files. Could you run in debug mode and check the device list. The books that are in the library will have either "UUID" or "APPID" or something else with the green tick. Could you tell me what they have?

Download full text (6.3 KiB)

Currently the books being found are flagged UUID.

But .... please take a look at all the metadata.calbre files; you will see
that initially all books contained a non null application_id

On Mon, Oct 22, 2012 at 2:22 AM, David Forrester
<email address hidden>wrote:

> The immediate thing I can see is that the books that aren't being shown
> as in the library, have the "application_id" as null in the
> metadata.calibre files. Could you run in debug mode and check the
> device list. The books that are in the library will have either "UUID"
> or "APPID" or something else with the green tick. Could you tell me what
> they have?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1069617
>
> Title:
> KoboTouch Device View titles / In Library not always accurate
>
> Status in calibre: e-book management:
> Triaged
>
> Bug description:
> Calibe 0.9.3
>
> Using calibre and a Kobo Touch I find that the On Device listing
> "fluctuates" for lack of a batter term in showing book, their titles
> and what shelves they are on.
>
> Calibre is configured by me as follows:
>
> Sending books to device:
> - Automatic Metadata management
> - Save Template: {author_sort}/{title} - {authors}
>
> Metadata plugboard:
> - Format: ePub
> - Device: KoboTouch
> - Source Template:
> {series:re(([^\s])[^\s]+(\s|$),\1)}{series_index:0>2s| - | - }{title}
> - Destination: Title
>
> Kobo Touch Driver:
> - Read metadata from files on device
> - Use sub directories
> - Save Template: {author_sort}/{title} - {authors}
> - Shelf Names: #myshelves, series
> - Create Bookshelves
> - Delete Empty Bookshelves
> - Attempt to support newer firmware
>
> I start with only the Kobo supplied user guides and some preview
> materinal on the Kobo. No Driveinfo or Metadata.
>
> - Launch Calibre
> - Attach Touch
> - 3 jobs run; Get device information, Get list of books on device, Send
> metadata to device
> - Device view shows no books on device
> - *.calibre.1
> - Touch ejected
>
> - Kobo reattached
> - 3 jobs run; Get device information, Get list of books on device, Send
> metadata to device
> - Device view shows no books on device
> - 2 book sent to Kobo;
> - Title: Unatural Causes; Series: Inspector Adam Dalgliesh;
> Author: Baroness P. D. James; Series Index: 3.0
> Title Sort: Unnatural Causes; Author Sort: James, Baroness
> P. D.
> - Title: The Road to Gandolfo; Series: Road To; Author
> Robert Ludlum; Series Index: 1.0
> Title Sort: Road to Gandolfo, The; Author Sort: Ludlum,
> Robert
> - 2 jobs rub; Upload 2 books to device, Send metadata to device
> - Device view shows 2 books on device; both with a green tick, with
> titles "The Road to Gandolfo" and "Unatural Causes" and shelves "Road To"
> and "Inspector Adam Dalgliesh"
> - On device directory listing shows
> Directory of P:\James, Baroness P. D_
>
> 22/10/2012 12:20 AM <DIR> .
> 22/10/2012 12:20 AM <DIR> ..
> 22/10/2012 12:20 AM 1,877,055 Unnatural Causes - Baroness P. D.
> Jam...

Read more...

David Forrester (davidfor) wrote :

Attached is a patch.

This should solve the problem in nearly all circumstances. The only one left is if the book is not in the metadata.calibre file or that file is deleted. An affect of the change is that books in metadata.calibre but not in the devices database will be listed in the device list.

Also, some performance improvements related to the book matching and shelf management at sync time.

Fixed in branch lp:calibre. The fix will be in the next release. calibre is usually released every Friday.

 status fixreleased

Changed in calibre:
status: Triaged → Fix Released
Jean Duteau (duteaudesign) wrote :

I don't think that this is fixed - at least not in v0.9.6. I just upgraded to 0.9.6 in hopes that this bug would be fixed. But I'm still seeing books that it doesn't recognize. All of the books that it doesn't recognize have a Title that is different from the Sort Title - due to 'A' or 'The'. Unfortunately, there are some books that have a 'The' that are recognized. I've attached a screen shot that shows the recognized and unrecognized.

David Forrester (davidfor) wrote :

Did you put these books onto the device with an earlier version of calibre? Probably 0.9.4 or earlier? If so, the link between the calibre library and the devices library has already been broken. Sending the books to the device again should fix this.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers